> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/sdk/android/event-dispatchers/at-internet.md).

# AT Internet

The AT Internet dispatcher automatically dispatches events to the AT Internet SDK, including the XTOR tag when it's available.

{% hint style="warning" %}
This dispatcher should not be used in new integrations in favor of Piano Analytics
{% endhint %}

To install simply add in your app's *build.gradle*:

{% tabs %}
{% tab title="Kotlin" %}

```kts
implementation("com.batch.android:atinternet-dispatcher:3.0.1")
```

{% endtab %}

{% tab title="Groovy" %}

```groovy
implementation 'com.batch.android:atinternet-dispatcher:3.0.1'
```

{% endtab %}
{% endtabs %}

Once your dispatcher is installed, restart your app and you should see something like this in your logcat:

```
D/Batch: Batch.EventDispatcher: Adding event dispatcher: package com.batch.android.dispatcher.atinternet;
.AtInternetDispatcher
```

{% hint style="info" %}
If you can't find the line in your log, it may be due to missing dependencies, be sure to add the AT Internet and/or Firebase Analytics SDKs to your project.
{% endhint %}

Batch will automatically instantiate `Tracker` instances using the default AT Internet configuration, automatically added in the `aar` you get from AT Internet.\
If you're not using their AAR but another distribution of the AT Internet (for example, a maven one) and would like to manually configure your Tracker in code, you can tell Batch which instance to use:

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
// Put this in your Application's onCreate()
AtInternetRegistrar().getDispatcher(this).setTrackerOverride(yourTrackerInstance)
```

{% endtab %}

{% tab title="Java" %}

```java
// Put this in your Application's onCreate()
new AtInternetRegistrar().getDispatcher(this).setTrackerOverride(yourTrackerInstance);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://doc.batch.com/developer/sdk/android/event-dispatchers/at-internet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
